Description

On the Compute Profile using Compute Resource VMware I can select "Add cdrom drive" but when storing the Profile it is not saved,

so opening the Compute Profile again the box is unchecked and also using it while creating a Host requires always to check the box

again. Using boot disk based provisioning it requires to remember always to check this box or if you forget to delete and recreate the

host.

Installation is Foreman 1.18.0, Compute Resource VMware, Bootdisk and Column View Plugin.

Associated revisions

Revision 1ca921c8 - 08/07/2018 07:39 AM - Marek Hulán

Fixes #24541 - properly display cdrom check

History

#1 - 08/06/2018 12:19 PM - Marek Hulán

- Bugzilla link set to 1566543

#2 - 08/06/2018 02:53 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Marek Hulán

- Pull request https://github.com/theforeman/foreman/pull/5924 added

#3 - 08/06/2018 02:56 PM - Marek Hulán

The issue is interestingly not in the fact we wouldn't save the add_cdrom value. It's cause by the fact the checkbox is named add_cdrom, which we

then turn into "cdrom" in fog attributes. When we redraw the compute profile form, it does not detect add_cdrom is set to 1, therefore it remains

unchecked. The same applies when we enter new host form, after choosing compute profile, the checkbox simply remains unchecked.

Dirk, it would be great if you could test the PR and let us know if it fixes the issue for you.

#4 - 08/07/2018 07:03 AM - Dirk Götz

I tested it and it works fine.

Thanks, Marek.

#5 - 08/07/2018 07:39 AM - Tomer Brisker

- Fixed in Releases 1.20.0 added

#6 - 08/07/2018 08:02 AM - Marek Hulán

- Status changed from Ready For Testing to Closed

Applied in changeset 1ca921c84517101e01546c78f758b10bcb4f3152.
